| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterProductVersion_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

`#include <ParameterTypes.hpp>`

Inheritance diagram for ParameterProductVersion_t:
[legend]

## Public Member Functions

| ParameterProductVersion_t ()
| Constructor without parameters.
| ParameterProductVersion_t (ParameterId_t pid, uint16_t in_length)
| Constructor using a parameter PID and the parameter length.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const

## Public Attributes

rtps::ProductVersion_t | version
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.

## Constructor & Destructor Documentation

## ◆ ParameterProductVersion_t() [1/2]

ParameterProductVersion_t | ( |  | ) |

inline

Constructor without parameters.

## ◆ ParameterProductVersion_t() [2/2]

ParameterProductVersion_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length )

inline

Constructor using a parameter PID and the parameter length.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length

## Member Data Documentation

## ◆ version

rtps::ProductVersion_t version

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp